Bug 1508324 - (icewind/searchdav) Review Request: php-icewind-searchdav - A sabre/dav plugin to implement rfc5323 SEARCH
Review Request: php-icewind-searchdav - A sabre/dav plugin to implement rfc5...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1433919
  Show dependency treegraph
 
Reported: 2017-11-01 04:02 EDT by Remi Collet
Modified: 2018-01-02 11:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-02 11:50:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2017-11-01 04:02:44 EDT
Spec URL: https://git.remirepo.net/cgit/rpms/php/icewind/php-icewind-searchdav.git/plain/php-icewind-searchdav.spec?id=6a78d03208869b7f2c192092e4e7b089d5b36632
SRPM URL: http://rpms.remirepo.net/SRPMS/php-icewind-searchdav-0.3.1-1.remi.src.rpm
Description: 
A sabre/dav plugin to implement rfc5323 SEARCH.

See: https://tools.ietf.org/search/rfc5323

Autoloader: '/usr/share/php/Icewind/SearchDAV/autoload.php';

Fedora Account System Username: remi
Comment 1 William Moreno 2017-12-15 23:06:33 EST
Package Review
==============

[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)

No bloquer here but the SPEC url not match the SPEC in the source rpm, please update this to aprove it.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).

Rpmlint
-------
Checking: php-icewind-searchdav-0.3.1-1.fc28.noarch.rpm
          php-icewind-searchdav-0.3.1-1.fc28.src.rpm
php-icewind-searchdav.noarch: W: spelling-error Summary(en_US) sabre -> saber, Sabre, sabra
php-icewind-searchdav.noarch: W: spelling-error Summary(en_US) dav -> adv, dab, av
php-icewind-searchdav.noarch: W: spelling-error %description -l en_US sabre -> saber, Sabre, sabra
php-icewind-searchdav.noarch: W: spelling-error %description -l en_US dav -> adv, dab, av
php-icewind-searchdav.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-icewind-searchdav.noarch: W: invalid-license AGPL
php-icewind-searchdav.src: W: spelling-error Summary(en_US) sabre -> saber, Sabre, sabra
php-icewind-searchdav.src: W: spelling-error Summary(en_US) dav -> adv, dab, av
php-icewind-searchdav.src: W: spelling-error %description -l en_US sabre -> saber, Sabre, sabra
php-icewind-searchdav.src: W: spelling-error %description -l en_US dav -> adv, dab, av
php-icewind-searchdav.src: W: spelling-error %description -l en_US usr -> use, us, user
php-icewind-searchdav.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-icewind-searchdav.src: W: invalid-license AGPL
2 packages and 0 specfiles checked; 0 errors, 13 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
php-icewind-searchdav.noarch: W: spelling-error Summary(en_US) sabre -> saber, Sabre, sabra
php-icewind-searchdav.noarch: W: spelling-error Summary(en_US) dav -> adv, dab, av
php-icewind-searchdav.noarch: W: spelling-error %description -l en_US sabre -> saber, Sabre, sabra
php-icewind-searchdav.noarch: W: spelling-error %description -l en_US dav -> adv, dab, av
php-icewind-searchdav.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-icewind-searchdav.noarch: W: invalid-license AGPL
php-icewind-searchdav.noarch: W: invalid-url URL: https://github.com/icewind1991/SearchDAV <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

Diff spec file in url and in SRPM
---------------------------------
--- /home/wmoreno/1508324-php-icewind-searchdav/srpm/php-icewind-searchdav.spec 2017-12-15 14:33:06.616543089 +0000
+++ /home/wmoreno/1508324-php-icewind-searchdav/srpm-unpacked/php-icewind-searchdav.spec        2017-11-01 07:54:32.000000000 +0000
@@ -59,5 +59,5 @@
 See: https://tools.ietf.org/search/rfc5323

-Autoloader: %{_datadir}/php/%{ns_vendor}/%{ns_name}/autoload.php
+Autoloader: '%{_datadir}/php/%{ns_vendor}/%{ns_name}/autoload.php';


Source checksums
----------------
https://github.com/icewind1991/SearchDAV/archive/3071937c64a5e45d23c2600e5524538694e03042/php-icewind-searchdav-0.3.1-3071937.tar.gz :
  CHECKSUM(SHA256) this package     : 696dc7c5da19aa52d22bf49b9604fff6b9f2f0dda6933b8625f893c22b29543e
  CHECKSUM(SHA256) upstream package : 696dc7c5da19aa52d22bf49b9604fff6b9f2f0dda6933b8625f893c22b29543e
Comment 2 Remi Collet 2017-12-18 00:45:10 EST
> No bloquer here but the SPEC url not match the SPEC in the source rpm, please update this to aprove it.

This is a fedora review issue
See https://bugzilla.redhat.com/show_bug.cgi?id=1505030

And indeed, typo was fixed in the description... should not block the review...

BTW, if this can make you happy

Spec URL: https://git.remirepo.net/cgit/rpms/php/icewind/php-icewind-searchdav.git/plain/php-icewind-searchdav.spec?id=7eee73fbe1c56a07a66c03ac68444c42efb78a10
SRPM URL: http://rpms.remirepo.net/SRPMS/php-icewind-searchdav-0.3.1-1.remi.src.rpm
Comment 3 William Moreno 2017-12-18 08:34:23 EST
Looks good for me, package aproved.
Comment 5 Gwyn Ciesla 2017-12-18 08:47:57 EST
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-icewind-searchdav
Comment 6 Fedora Update System 2017-12-18 09:07:17 EST
php-icewind-searchdav-0.3.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6e25c5217
Comment 7 Remi Collet 2017-12-18 09:08:55 EST
Only imported in F27+ because of dependency on sabre/dav 3.2
Comment 8 Fedora Update System 2017-12-18 17:02:35 EST
php-icewind-searchdav-0.3.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6e25c5217
Comment 9 Fedora Update System 2018-01-02 11:50:39 EST
php-icewind-searchdav-0.3.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.